Requires write_files access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20260901/files/files.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Create a file.
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Request Body
  • alt string
    The alternative textual description of the image or video, usually a word or phrase with the characteristics or content of the image or video.
    Maximum length: 512
    Example: This is an image or video alt.
  • caption string
    The scenario-based explanatory text of the image or video, used to supplement shooting background, usage scenarios, relevant information, etc., to assist operation identification and file management.
    Maximum length: 255
    Example: This is an image or video caption.
  • content_type string required
    The type of the file. Valid values are:
    • IMAGE:Represents a SHOPLINE image.
    • VIDEO:Represents a SHOPLINE video.
    • EXTERNAL_VIDEO:Represents an external video.
    • FILE:Represents a SHOPLINE file that is neither an image nor a video.
    Example: IMAGE
  • cover_imageobject
    Configuration for the video cover image. Specify this parameter when content_type is set to VIDEO or EXTERNAL_VIDEO.
  • imageobject
    Custom cover image information. Specify this parameter when source is set to UPLOADED. Supported image formats: GIF, JPG, JPEG, PNG, WebP, and SVG.
  • src string
    The URL of the custom cover image.
    Maximum length: 255
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • source string
    Source type of the cover image. Valid values are:
    • VIDEO_FRAME_CAPTURE: capture of a single frame from the video
    • UPLOADED: upload of a custom cover image
  • video_frame_ms integer
    Millisecond of the video frame to capture. This parameter is valid only when source is VIDEO_FRAME_CAPTURE.
    Default value: 0 (indicating the capture of the first frame of the video; the default image format is PNG).
  • duplicate_resolution_mode string
    Strategy for resolving file name conflicts. Valid values are:
    • APPEND_UUID: Automatic renaming mode. If the file name is already in use, a UUID is appended to the original file name.
    • RAISE_ERROR: Error notification mode. If the file name is already in use, an error is generated.
    Default value: APPEND_UUID
  • file_name string
    The name of the file.
    Maximum length: 255
    Example: This is a file name
  • original_source string required
    An external URL (for images only) or a staged upload URL.
    Example: https://sl-resource-tmp-sg.s3-ap-southeast-1.xxx.com/temp%2Ffile%2Fstore%2F1672369729606%2F6995259736342668404%2Fimage.png?Expires=1747882880&OSSAccessKeyId=LTAI5tNjm7fr4EUCoEps4UPE&Signature=kLIWPCVwWTQMZcHUWyszjoH4DPM%3D
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • alt string
    The alternative textual description of the image or video, usually a word or phrase with the characteristics or content of the image or video.
    Example: This is an image or video alt.
  • caption string
    The scenario-based explanatory text of the image or video, used to supplement shooting background, usage scenarios, relevant information, etc., to assist operation identification and file management.
    Example: This is an image or video caption.
  • content_type string
    The type of the file. Valid values are:
    • IMAGE:Represents a SHOPLINE image.
    • VIDEO:Represents a SHOPLINE video.
    • EXTERNAL_VIDEO:Represents an external video.
    • FILE:Represents a SHOPLINE file that is neither an image nor a video.
  • file_name string
    The name of the file.
    Example: This is a file name
  • id string
    The unique identifier for the file.
    Example: 5824341616684517429
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901

ParamOptions

header required

Body

required
{
  "alt": "This is an image or video alt.",
  "caption": "This is an image or video caption.",
  "content_type": "IMAGE",
  "cover_image": {
    "image": {
      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
    },
    "source": null,
    "video_frame_ms": 0
  },
  "duplicate_resolution_mode": null,
  "file_name": "This is a file name",
  "original_source": "https://sl-resource-tmp-sg.s3-ap-southeast-1.xxx.com/temp%2Ffile%2Fstore%2F1672369729606%2F6995259736342668404%2Fimage.png?Expires=1747882880&OSSAccessKeyId=LTAI5tNjm7fr4EUCoEps4UPE&Signature=kLIWPCVwWTQMZcHUWyszjoH4DPM%3D"
}

Language

curl --request POST \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901/files/files.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Create an image
Request
{
"alt": "This is an image alt",
"content_type": "IMAGE",
"duplicate_resolution_mode": "APPEND_UUID",
"file_name": "T-shirt",
"original_source": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
}
Response
{
"alt": "This is an image alt",
"caption": null,
"content_type": "IMAGE",
"file_name": "T-shirt_7366308881444380168.png",
"id": "7366308881444380168"
}
Was this article helpful to you?